# Private Elements

## Command Line Arguments

**Module:** `_ptcsvp.cmdline`

```{eval-rst}
.. automodule:: _ptcsvp.cmdline
   :members:
   :private-members:
   :undoc-members:
```

## Plugin Configuration

**Module:** `_ptcsvp.configure`

```{eval-rst}
.. automodule:: _ptcsvp.configure
   :members:
   :private-members:
   :undoc-members:
```

## The Parametrization

**Module:** `_ptcsvp.parametrize`

```{eval-rst}
.. automodule:: _ptcsvp.parametrize
   :members:
   :private-members:
   :undoc-members:
```

## The Plugin Class

**Module:** `_ptcsvp.plugin`

```{eval-rst}
.. automodule:: _ptcsvp.plugin
   :members:
   :private-members:
   :undoc-members:
```

## The Variable Name Validation

**Module:** `_ptcsvp.varname`

```{eval-rst}
.. automodule:: _ptcsvp.varname
   :members:
   :private-members:
   :undoc-members:
```

## The Version Checks

**Module:** `_ptcsvp.version`

```{eval-rst}
.. automodule:: _ptcsvp.version
   :members:
   :private-members:
   :undoc-members:
```
